[sword-devel] Packaging Sword for Debian, compile problems

Joachim Ansorg sword-devel@crosswire.org
Sun, 10 Sep 2000 19:18:27 +0000


> On Sun, 10 Sep 2000, Joachim Ansorg wrote:
> > Cool!he first distribution of the world containg SWORD ;-)
> > Maybe you like to package also BibleTime 1.0 after it's released?
> My bias is GnomeSword next, followed by BibleTime.  I haven't announced
> an ITP for BibleTime, as KDE isn't all in Debian yet.  I'm waiting on that
> before I install a KDE environment and try out BibleTime.

BibleTime 1.0 will take some time (at least 2 months), so you'll have enough 
Don't package BibleTime 0.2x because 0.2x isn't maintained any more after the 
next release (0.25).
1.0 will be the best BibleTime, it does use KDE2 so it's no problem.

> > These errors are in the VCL lib. The VCL lib is only required for the
> > InstallMgr of SWORD. If you do not package the InstallMgr you won't need
> > the VCL:
> > If you decided not to use the VCL you can disable the compilation of the
> > VCL in the file Makefile.cfg (buildvcl:=no).
> OK, I'll try that.  It may be that InstallMgr isn't much use in the
> package anyway (I say this without knowing what InstallMgr does) since
> Debian has its own tools for managing installation of packages.

InstallMgr install the sword-modules (bibles, commentaries etc.), if you 
provide some Debian packages of modules there's no need for the InstallMgr.
RPM packages are already available on ftp.crosswire.org.

> Thanks!
> Ben